=== share/doc/git-cola/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 prefix ?= $(CURDIR)
-DESTDIR ?= /
 docdir ?= $(DESTDIR)$(prefix)/share/doc/git-cola
 htmldir ?= $(docdir)/html
+COLA_RELEASE	?= $(shell sh -c "git describe --abbrev=4 --match='v*.*' | sed -e s,^v,,")
+COLA_VERSION	?= $(shell sh -c "git tag | tail -1 | sed -e s,^v,,")
 RSYNC ?= rsync
 # Makefile for Sphinx documentation
 #
@@ -32,35 +33,41 @@
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf _build/*
+	-rm -rf conf.py _build
+	$(MAKE) -f Makefile.asciidoc clean
 
-html:
+conf.py:
+	cp conf.py.in conf.py
+	perl -p -i -e s,{version},"$(COLA_VERSION)", conf.py
+	perl -p -i -e s,{release},"$(COLA_RELEASE)", conf.py
+
+html: conf.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
-dirhtml:
+dirhtml: conf.py
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in _build/dirhtml."
 
-pickle:
+pickle: conf.py
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
-json:
+json: conf.py
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
-htmlhelp:
+htmlhelp: conf.py
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in _build/htmlhelp."
 
-qthelp:
+qthelp: conf.py
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
@@ -69,14 +76,14 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile _build/qthelp/git-cola.qhc"
 
-latex:
+latex: conf.py
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
 	      "run these through (pdf)latex."
 
-changes:
+changes: conf.py
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
 	@echo
 	@echo "The overview file is in _build/changes."
@@ -87,7 +94,7 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in _build/linkcheck/output.txt."
 
-doctest:
+doctest: conf.py
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
@@ -100,8 +107,10 @@
 
 install-html: html
 	test  -d $(htmldir) || mkdir -p $(htmldir)
-	$(RSYNC) -ar --progress _build/html/ $(htmldir)/
+	$(RSYNC) -ar --delete _build/html/ $(htmldir)/
 	$(MAKE) -f Makefile.asciidoc install-html
 
 install-man:
 	$(MAKE) -f Makefile.asciidoc install
+
+.PHONY: conf.py
