=== debian/changelog ===
git-cola (1.4.2.1-1) unstable; urgency=low

  * New upstream version. 

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 25 May 2010 21:10:29 +0100

git-cola (1.4.2-1) unstable; urgency=low

  * New upstream version.
    + See share/doc/relnotes.rst for more information.
  * Drop setuppy.patch (merged upstream).
  * Rewrite debian/rules.
  * Switch to 3.0 (quilt) source format.
  * Remove README.source.  It is not needed anymore (3.0 (quilt) source
    format).
  * Remove quilt build-dependency.
  * Update debian/copyright years.
  * Drop fix_doc_file.patch (merged upstream).
  * Add python-nose to Build-Depends.
  * Override dh_auto_test.
  * Bump debhelper version to 7.0.50.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 24 Apr 2010 09:17:19 +0100

git-cola (1.4.1.2-4) unstable; urgency=low

  * Drop the version from the git-core run-time dependency. Closes: #568586
    (The dependency on git-core (>= 1.5) is intended to exclude git from
    etch, for example, but unfortunately git from etch has a version number
    including an epoch.  Since Debian does not support etch-to-squeeze
    upgrades anyway, it is simpler and more obvious to drop the version 
    from the dependency.)
    + Thanks Jonathan Nieder <jrnieder@gmail.com> for the patch.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 07 Apr 2010 15:44:23 +0100

git-cola (1.4.1.2-3) unstable; urgency=low

  * debian/control:
    - git-difftool has been included in git-core and so it's irrelevant
    to mention it in the package description.
      + Thanks Jonathan Nieder <jrnieder@gmail.com> for spotting this.
  * Add fix_doc_file.patch (Closes: #565766); (LP: #539269).
      + cola/resources.py:26: use git-cola.txt instead of the non-existing
      git-cola.html file.

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 19 Mar 2010 18:01:00 +0000

git-cola (1.4.1.2-2) unstable; urgency=low

  * debian/control:
    - Drop the version from the git-core dependency (Closes: #568586).
      + Thanks Jonathan Nieder <jrnieder@gmail.com>
    - Add ${misc:Depends}.
    - DM-Upload-Allowed: yes
    - Bump Std-Ver to 3.8.4 (no changes required).

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 28 Feb 2010 19:59:22 +0000

git-cola (1.4.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/watch: remove "-src"
  * Update debian/copyright.
  * Add quilt.
  * Add setuppy.patch.

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 03 Jan 2010 13:30:17 +0000

git-cola (1.4.1-1) unstable; urgency=low

  * New upstream version.
    + Loads of fixes.  See the ChangeLog for details.
  * Update debian/copyright.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 05 Dec 2009 11:02:56 +0000

git-cola (1.4.0.4-1) unstable; urgency=low

  * New upstream version.
  * Fixed:
    - W: git-cola: non-standard-dir-in-usr usr/libexec/
    - W: git-cola: file-in-unusual-dir usr/libexec/git-cola/ssh-askpass
  * debian/control:
    - Remove XB-Python-Version: ${python:Versions} as it's not needed
      with pysupport.
    - B-D-I on python instead of python-all-dev.

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 15 Nov 2009 16:14:41 +0000

git-cola (1.4.0-1) unstable; urgency=low

  * New upstream version (Closes: #554849).
    - Updates since v1.3.9
      + The main GUI is flexible and user-configurable
      + Individual widgets can be detached and rearranged arbitrarily
      + Add an interface for creating tags
      + Provide a fallback SSH_ASKPASS implementation to prompt for SSH 
        passwords on fetch/push/pull
      + Inherit the window manager's font settings
      + The commit message editor displays the current row/column and warns
        when lines get too long
      + The cola classic widget displays upstream changes
      + 'git cola --classic' launches cola classic in standalone mode
      + Provide more information in log messages
      + Miscellaneous PyQt4 bug fixes and workarounds

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 31 Oct 2009 15:15:31 +0000

git-cola (1.3.9.14-1) unstable; urgency=low

  * New upstream version.
  * debian/control: 
    - Bump Standards-Version to 3.8.3; no changes required.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 15 Aug 2009 23:37:40 +0100

git-cola (1.3.8-1) unstable; urgency=low

  * New upstream version.
    + setup.py: launch `pyuic4` with 'sh -c' to work around old pyuic4 bugs.
      Older versions of pyuic4 were implemented as a shell script instead
      of as python script.  Interestingly, an older version existed
      that didn't have a '#!/bin/sh' shebang line.
      Use 'sh -c' to accommodate both current and older, buggy pyuic4s.
  * debian/control:
    - Add xxdiff to Recommends (LP: #386259).
    - Add python-sphinx and rsync to Build-Depends-Indep.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 14 Jun 2009 11:11:00 +0100

git-cola (1.3.7.45-2) unstable; urgency=low

  * Remove git-difftool.1 symlink.  dpkg is trying to overwrite
    `/usr/share/man/man1/git-difftool.1.gz', which is also in package
    git-core (Closes: #528128).

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 11 May 2009 06:34:40 +0100

git-cola (1.3.7.45-1) unstable; urgency=low

  * New upstream version.
    + inotify: fix a bug when exiting cola
    + docs: remove git-difftool.txt and update git-cola.txt
    + models: do not flag deleted files as modified 
    + setup.py: add the private cola.models module
    + observable: use the current model's notify value when cloning
    + models: fix a bug in clone()
  * Remove {cola,git-difftool}.pod and manpages.
  * Add links file.
  * Update rules.

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 07 May 2009 06:44:29 +0100

git-cola (1.3.7.21-1) unstable; urgency=low

  * New upstream version.
  * Fix symlink (/usr/bin/git-difftool--helper).

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 28 Apr 2009 18:28:44 +0100

git-cola (1.3.7.6-1) unstable; urgency=low

  * New upstream version.
    + install private modules to /usr/share (Closes: #519972)
  * debian/control:
    - change Section to vcs


