=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Iulian Udrea <iulian@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), python-nose
Build-Depends-Indep: python, python-support (>= 0.5.3), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 3.8.4
Homepage: http://cola.tuxfamily.org/
XS-Python-Version: all
Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

Package: git-cola
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core
Recommends: gitk, xxdiff
Suggests: python-pyinotify, python-simplejson
Description: highly caffeinated git gui
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.
