## git-cola 1.4.2.3

=== debian/changelog ===
git-cola (1.4.2.3-1) unstable; urgency=low
 
  * New upstream version.
  * debian/control: single line synopsis: gui -> GUI.  Closes: #585947.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 15 Jun 2010 19:17:53 +0100
