=== debian/changelog ===
git-cola (1.4.3-1) experimental; urgency=low

  * New upstream release.
    + git-dag beta™ now has a separate display area for displaying commit
    metadata. This area will soon grow additional functionality such as
    cherry-picking, branching, etc.
    + Fixed tests from a previous refactoring.
    + Guard against ‘diff.external’ configuration by always calling ‘git diff’
    with the ‘–no-ext-diff’ option
    (http://github.com/davvid/git-cola/issues/closed#issue/67).
    + Respect ‘gui.diffcontext’ so that cola’s diff display shows the correct
    number of context lines.
  * Use JQuery from the Debian package:
    - Add libjs-jquery as a dependency.
    - Add symlink from /usr/share/javascript/jquery/jquery.js to 
    /usr/share/doc/git-cola/html/_static/jquery.js.
  * Don't compress objects.inv.  Thanks Michael Fladischer <michael@fladi.at>
    (Closes: #608752).

 -- Iulian Udrea <iulian@linux.com>  Mon, 03 Jan 2011 13:48:51 +0000

git-cola (1.4.2.5-1) experimental; urgency=low

  * New upstream release.
    + Clicking on paths in the status widget copies them into the copy/paste
    buffer for easy middle-clicking into terminals.
    + Ctrl+C in diff viewer copies the selected diff to the clipboard.
    + Fixed the disappearing actions buttons on PyQt 4.7.4 as reported by Arch
    and Ubuntu 10.10. (Launchpad: #660363, #656539)
    (http://github.com/davvid/git-cola/issues/closed#issue/62).
    + Fixed mouse interaction with the status widget where some items could
    not be de-selected.
    + Removed hard-coded reference to lib/ when calculating Python’s
    site-packages directory.

 -- Iulian Udrea <iulian@linux.com>  Thu, 28 Oct 2010 16:25:52 +0100

git-cola (1.4.2.4-1) experimental; urgency=low

  * New upstream release.
    + Removed “single-click to (un)stage” in the status view.
    + Added ability to create unsigned, annotated tags.
    + Updated documentation to use cola.git instead of cola.gitcmd.
  * Change my e-mail address.
  * Include BSD license text in debian/copyright rather than referencing
    /usr/share/common-licenses/BSD.

 -- Iulian Udrea <iulian@linux.com>  Sun, 05 Sep 2010 13:31:34 +0100
