=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-cola
 Section: vcs
 Priority: optional
-Maintainer: Iulian Udrea <iulian@ubuntu.com>
+Maintainer: Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python, python-support (>= 0.5.3), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
@@ -13,7 +13,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core
+Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery
 Recommends: gitk, xxdiff
 Suggests: python-pyinotify, python-simplejson
 Description: highly caffeinated git GUI
