=== debian/watch ===
version=3
http://cola.tuxfamily.org/releases/cola-(.*)\.tar\.gz
