=== debian/changelog ===
git-cola (1.4.3.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2; no changes required.

 -- Iulian Udrea <iulian@linux.com>  Tue, 05 Jul 2011 20:20:28 +0100
