=== debian/changelog ===
git-cola (1.4.3.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright years.

 -- Iulian Udrea <iulian@linux.com>  Thu, 01 Sep 2011 23:56:15 +0100
