=== debian/watch ===
version=3
https://github.com/git-cola/git-cola/tags /git-cola/git-cola/tarball/v(.+)
