## git-cola 1.9.2

=== debian/changelog ===
git-cola (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Dec 2013 20:26:33 +0100
